org.apache.maven.scm.provider.clearcase.util

## Class ClearCaseUtil

- java.lang.Object
- - org.apache.maven.scm.provider.clearcase.util.ClearCaseUtil

    public final class ClearCaseUtil
    extends Object

Author:
  Emmanuel Venisse

### Field Summary

Fields
`protected static String` `CLEARCASE_SETTINGS_FILENAME`
`static File` `DEFAULT_SETTINGS_DIRECTORY`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getLocalizedResource(String key)`
`static Settings` `getSettings()`
`static Settings` `readSettings()`
`static void` `setSettingsDirectory(File directory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLEARCASE_SETTINGS_FILENAME

    protected static final String CLEARCASE_SETTINGS_FILENAME

See Also:
  Constant Field Values

#### DEFAULT_SETTINGS_DIRECTORY

    public static final File DEFAULT_SETTINGS_DIRECTORY

### Method Detail

#### getLocalizedResource

    public static String getLocalizedResource(String key)

#### getSettings

    public static Settings getSettings()

#### readSettings

    public static Settings readSettings()

#### setSettingsDirectory

    public static void setSettingsDirectory(File directory)